Index: doc/latex/classeEF__inherit__graph.eps
===================================================================
--- doc/latex/classeEF__inherit__graph.eps (revision 30)
+++ doc/latex/classeEF__inherit__graph.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 254 258
+%%PageBoundingBox: 36 36 335 258
 %%PageOrientation: Portrait
 gsave
-36 36 254 258 boxprim clip newpath
+36 36 335 258 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 218 lineto
-214 218 lineto
-214 -4 lineto
+295 218 lineto
+295 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,26 +198,26 @@
 newpath -4 -4 moveto
 -4 218 lineto
-214 218 lineto
-214 -4 lineto
+295 218 lineto
+295 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 139 moveto 19 -0.5 (eEF) alignedtext
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+112 139 moveto 19 -0.5 (eEF) alignedtext
 grestore
 % Node3
@@ -256,28 +256,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 126 moveto
-81 116 59 102 45 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
+newpath 89 126 moveto
+74 115 56 102 44 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -285,20 +285,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+161 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
 grestore
 % Node1->Node4
@@ -307,28 +307,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 123 122 moveto
-123 112 123 101 123 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
+newpath 128 124 moveto
+136 114 146 102 153 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -336,20 +336,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-161 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+104 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
 grestore
 % Node1->Node5
@@ -358,30 +358,82 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 149 126 moveto
-159 117 171 107 177 94 curveto
-189 72 190 62 182 40 curveto
-180 33 176 26 171 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
+newpath 110 122 moveto
+109 113 108 103 107 94 curveto
+106 68 105 37 104 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+241 7 moveto 85 -0.5 (enorm< chmat >) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 139 133 moveto
+161 125 192 112 215 94 curveto
+233 79 240 75 248 54 curveto
+252 43 249 30 245 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.717 129.74 moveto
+130 137 lineto
+140.56 136.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.717 129.74 moveto
+130 137 lineto
+140.56 136.137 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 104 193 142 213 ]
+[ /Rect [ 93 193 131 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 104 193 142 213 ]
+[ /Rect [ 93 193 131 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
@@ -389,20 +441,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 104 192 moveto
-104 213 lineto
-142 213 lineto
-142 192 lineto
+newpath 93 192 moveto
+93 213 lineto
+131 213 lineto
+131 192 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 104 192 moveto
-104 213 lineto
-142 213 lineto
-142 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 199 moveto 22 -0.5 (epdf) alignedtext
+newpath 93 192 moveto
+93 213 lineto
+131 213 lineto
+131 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+112 199 moveto 22 -0.5 (epdf) alignedtext
 grestore
 % Node2->Node1
@@ -411,18 +463,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 123 182 moveto
-123 172 123 161 123 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.5 182 moveto
-123 192 lineto
-126.5 182 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.5 182 moveto
-123 192 lineto
-126.5 182 lineto
+newpath 112 182 moveto
+112 172 112 161 112 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.5 182 moveto
+112 192 lineto
+115.5 182 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.5 182 moveto
+112 192 lineto
+115.5 182 lineto
 closepath stroke
 grestore
@@ -432,23 +484,48 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 125 62 moveto
-127 55 129 47 132 40 curveto
-136 33 142 26 148 21 curveto
+newpath 134 66 moveto
+130 62 126 58 122 54 curveto
+115 44 110 30 107 21 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans.ttf set_font
-157 44 moveto 50 -0.5 (< ldmat >) alignedtext
+150 44 moveto 50 -0.5 (< ldmat >) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 174 64 moveto
+180 56 187 47 195 40 curveto
+202 33 212 26 221 21 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans.ttf set_font
+221 44 moveto 53 -0.5 (< chmat >) alignedtext
 grestore
 endpage
@@ -459,5 +536,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 254 258
+%%BoundingBox: 36 36 335 258
 end
 restore
Index: doc/latex/classKalmanCh__inherit__graph.eps
===================================================================
--- doc/latex/classKalmanCh__inherit__graph.eps (revision 37)
+++ doc/latex/classKalmanCh__inherit__graph.eps (revision 37)
@@ -0,0 +1,284 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw aligned label in bounding box aligned to current point
+/alignedtext {			% width adj text
+	/text exch def
+	/adj exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			text stringwidth pop adj mul 0 rmoveto
+		} if
+		[] 0 setdash
+		text show
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 110 124
+%%PageOrientation: Portrait
+gsave
+36 36 110 124 boxprim clip newpath
+0 0 1 beginpage
+1 1 set_scale 0 rotate 40 40 translate
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 84 lineto
+70 84 lineto
+70 -4 lineto
+closepath fill
+1 setlinewidth
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 84 lineto
+70 84 lineto
+70 -4 lineto
+closepath stroke
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+67 21 lineto
+67 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+67 21 lineto
+67 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+33 7 moveto 51 -0.5 (KalmanCh) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 17 59 49 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classBM.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 17 59 49 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classBM.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 17 58 moveto
+17 79 lineto
+49 79 lineto
+49 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 17 58 moveto
+17 79 lineto
+49 79 lineto
+49 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+33 65 moveto 16 -0.5 (BM) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 33 48 moveto
+33 38 33 28 33 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 29.5001 48 moveto
+33 58 lineto
+36.5001 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 29.5001 48 moveto
+33 58 lineto
+36.5001 48 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 110 124
+end
+restore
+%%EOF
Index: doc/latex/classenorm__inherit__graph.eps
===================================================================
--- doc/latex/classenorm__inherit__graph.eps (revision 30)
+++ doc/latex/classenorm__inherit__graph.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 143 258
+%%PageBoundingBox: 36 36 260 258
 %%PageOrientation: Portrait
 gsave
-36 36 143 258 boxprim clip newpath
+36 36 260 258 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 218 lineto
-103 218 lineto
-103 -4 lineto
+220 218 lineto
+220 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,26 +198,26 @@
 newpath -4 -4 moveto
 -4 218 lineto
-103 218 lineto
-103 -4 lineto
+220 218 lineto
+220 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 4 72 moveto
-4 93 lineto
-95 93 lineto
-95 72 lineto
+newpath 62 72 moveto
+62 93 lineto
+153 93 lineto
+153 72 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 4 72 moveto
-4 93 lineto
-95 93 lineto
-95 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-49 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
+newpath 62 72 moveto
+62 93 lineto
+153 93 lineto
+153 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+107 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
 grestore
 % Node4
@@ -256,31 +256,86 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 49 62 moveto
-49 48 49 32 49 21 curveto
+newpath 92 64 moveto
+81 50 66 33 57 21 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 45.5001 62 moveto
-49 72 lineto
-52.5001 62 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 45.5001 62 moveto
-49 72 lineto
-52.5001 62 lineto
+newpath 89.2 66.1 moveto
+98 72 lineto
+94.8 61.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 89.2 66.1 moveto
+98 72 lineto
+94.8 61.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans.ttf set_font
-74 44 moveto 50 -0.5 (< ldmat >) alignedtext
+111 44 moveto 50 -0.5 (< ldmat >) alignedtext
+grestore
+% Node5
+gsave
+[ /Rect [ 116 1 216 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 116 1 216 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 116 0 moveto
+116 21 lineto
+217 21 lineto
+217 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 116 0 moveto
+116 21 lineto
+217 21 lineto
+217 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+166 7 moveto 85 -0.5 (enorm< chmat >) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 129 65 moveto
+133 61 136 58 140 54 curveto
+148 43 156 30 161 21 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 126.221 62.7809 moveto
+121 72 lineto
+130.831 68.0489 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 126.221 62.7809 moveto
+121 72 lineto
+130.831 68.0489 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans.ttf set_font
+173 44 moveto 53 -0.5 (< chmat >) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 32 133 66 153 ]
+[ /Rect [ 90 133 124 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEF.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 32 133 66 153 ]
+[ /Rect [ 90 133 124 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEF.html) >>
@@ -288,20 +343,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 32 132 moveto
-32 153 lineto
-67 153 lineto
-67 132 lineto
+newpath 90 132 moveto
+90 153 lineto
+125 153 lineto
+125 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 32 132 moveto
-32 153 lineto
-67 153 lineto
-67 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-49 139 moveto 19 -0.5 (eEF) alignedtext
+newpath 90 132 moveto
+90 153 lineto
+125 153 lineto
+125 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+107 139 moveto 19 -0.5 (eEF) alignedtext
 grestore
 % Node2->Node1
@@ -310,28 +365,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 49 122 moveto
-49 112 49 101 49 93 curveto
+newpath 107 122 moveto
+107 112 107 101 107 93 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 45.5001 122 moveto
-49 132 lineto
-52.5001 122 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 45.5001 122 moveto
-49 132 lineto
-52.5001 122 lineto
+newpath 103.5 122 moveto
+107 132 lineto
+110.5 122 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103.5 122 moveto
+107 132 lineto
+110.5 122 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 30 193 68 213 ]
+[ /Rect [ 88 193 126 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 30 193 68 213 ]
+[ /Rect [ 88 193 126 213 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classepdf.html) >>
@@ -339,20 +394,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 30 192 moveto
-30 213 lineto
-68 213 lineto
-68 192 lineto
+newpath 88 192 moveto
+88 213 lineto
+126 213 lineto
+126 192 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 30 192 moveto
-30 213 lineto
-68 213 lineto
-68 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-49 199 moveto 22 -0.5 (epdf) alignedtext
+newpath 88 192 moveto
+88 213 lineto
+126 213 lineto
+126 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+107 199 moveto 22 -0.5 (epdf) alignedtext
 grestore
 % Node3->Node2
@@ -361,18 +416,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 49 182 moveto
-49 172 49 161 49 153 curveto
+newpath 107 182 moveto
+107 172 107 161 107 153 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 45.5001 182 moveto
-49 192 lineto
-52.5001 182 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 45.5001 182 moveto
-49 192 lineto
-52.5001 182 lineto
+newpath 103.5 182 moveto
+107 192 lineto
+110.5 182 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103.5 182 moveto
+107 192 lineto
+110.5 182 lineto
 closepath stroke
 grestore
@@ -384,5 +439,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 143 258
+%%BoundingBox: 36 36 260 258
 end
 restore
Index: doc/latex/classsqmat__inherit__graph.eps
===================================================================
--- doc/latex/classsqmat__inherit__graph.eps (revision 33)
+++ doc/latex/classsqmat__inherit__graph.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 156 124
+%%PageBoundingBox: 36 36 220 124
 %%PageOrientation: Portrait
 gsave
-36 36 156 124 boxprim clip newpath
+36 36 220 124 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 84 lineto
-116 84 lineto
-116 -4 lineto
+180 84 lineto
+180 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,37 +198,37 @@
 newpath -4 -4 moveto
 -4 84 lineto
-116 84 lineto
-116 -4 lineto
+180 84 lineto
+180 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 34 58 moveto
-34 79 lineto
-81 79 lineto
-81 58 lineto
+newpath 66 58 moveto
+66 79 lineto
+113 79 lineto
+113 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 34 58 moveto
-34 79 lineto
-81 79 lineto
-81 58 lineto
+newpath 66 58 moveto
+66 79 lineto
+113 79 lineto
+113 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-57 65 moveto 31 -0.5 (sqmat) alignedtext
+89 65 moveto 31 -0.5 (sqmat) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 0 1 50 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classfsqmat.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 0 1 50 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classfsqmat.html) >>
+[ /Rect [ 0 1 46 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classchmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 0 1 46 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classchmat.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -236,6 +236,6 @@
 newpath 0 0 moveto
 0 21 lineto
-51 21 lineto
-51 0 lineto
+47 21 lineto
+47 0 lineto
 closepath fill
 1 setlinewidth
@@ -244,10 +244,10 @@
 newpath 0 0 moveto
 0 21 lineto
-51 21 lineto
-51 0 lineto
+47 21 lineto
+47 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-25 7 moveto 35 -0.5 (fsqmat) alignedtext
+23 7 moveto 31 -0.5 (chmat) alignedtext
 grestore
 % Node1->Node2
@@ -256,28 +256,79 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 46 49 moveto
-41 39 35 29 31 21 curveto
+newpath 68 51 moveto
+57 41 44 29 34 21 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 43.084 50.9582 moveto
-51 58 lineto
-49.2031 47.5586 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 43.084 50.9582 moveto
-51 58 lineto
-49.2031 47.5586 lineto
+newpath 66.1694 54.0489 moveto
+76 58 lineto
+70.779 48.7809 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 66.1694 54.0489 moveto
+76 58 lineto
+70.779 48.7809 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 68 1 112 21 ]
+[ /Rect [ 64 1 114 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classfsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 64 1 114 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classfsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 64 0 moveto
+64 21 lineto
+115 21 lineto
+115 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 64 0 moveto
+64 21 lineto
+115 21 lineto
+115 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+89 7 moveto 35 -0.5 (fsqmat) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89 48 moveto
+89 38 89 28 89 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 85.5001 48 moveto
+89 58 lineto
+92.5001 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 85.5001 48 moveto
+89 58 lineto
+92.5001 48 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 132 1 176 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classldmat.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 68 1 112 21 ]
+[ /Rect [ 132 1 176 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classldmat.html) >>
@@ -285,40 +336,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 68 0 moveto
-68 21 lineto
-112 21 lineto
-112 0 lineto
+newpath 132 0 moveto
+132 21 lineto
+176 21 lineto
+176 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 68 0 moveto
-68 21 lineto
-112 21 lineto
-112 0 lineto
+newpath 132 0 moveto
+132 21 lineto
+176 21 lineto
+176 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-90 7 moveto 28 -0.5 (ldmat) alignedtext
-grestore
-% Node1->Node3
+154 7 moveto 28 -0.5 (ldmat) alignedtext
+grestore
+% Node1->Node4
 gsave
 1 setlinewidth
 solid
 0.000 0.812 0.545 edgecolor
-newpath 68 49 moveto
-73 39 80 29 84 21 curveto
+newpath 109 51 moveto
+120 41 133 29 143 21 curveto
 stroke
 0.000 0.812 0.545 edgecolor
-newpath 64.7969 47.5586 moveto
-63 58 lineto
-70.916 50.9582 lineto
+newpath 106.596 48.454 moveto
+102 58 lineto
+111.546 53.4038 lineto
 closepath fill
 1 setlinewidth
 solid
 0.000 0.812 0.545 edgecolor
-newpath 64.7969 47.5586 moveto
-63 58 lineto
-70.916 50.9582 lineto
+newpath 106.596 48.454 moveto
+102 58 lineto
+111.546 53.4038 lineto
 closepath stroke
 grestore
@@ -330,5 +381,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 156 124
+%%BoundingBox: 36 36 220 124
 end
 restore
